package com.its.vms.dao.mapper;

import com.its.vms.entity.TbVmsCtlr;
import com.its.vms.entity.TbVmsCtlrStts;
import com.its.vms.entity.TbVmsCtrlHs;
import com.its.vms.entity.VmsCtlrParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VmsCtlrMapper {

    List<TbVmsCtlr> selectAll();
    List<TbVmsCtlrStts> selectCtlrStts();

    int updateCtlrStts(@Param("obj") TbVmsCtlrStts obj);
    int insertCtlrSttsHs(@Param("obj") TbVmsCtlrStts obj);

    int insertVmsCtrlHs(@Param("obj") TbVmsCtrlHs obj);
    int updateVmsCtrlHs(@Param("obj") TbVmsCtrlHs obj);

    int updateVmsCtlrParam(@Param("obj") VmsCtlrParam obj);
}
